# GET /v1/series

Annictに登録されているシリーズ情報を取得することができます。

## フィールド

| 名前       | 概要          |
| -------- | ----------- |
| id       | ID          |
| name     | 名前          |
| name\_ro | 名前 (ローマ字表記) |
| name\_en | 名前 (英語表記)   |

## パラメータ

| 名前           | 概要                                                | 使用例               |
| ------------ | ------------------------------------------------- | ----------------- |
| fields       | レスポンスボディに含まれるデータのフィールドを絞り込みます。                    | fields=id,name    |
| filter\_ids  | シリーズをIDで絞り込みます。                                   | filter\_ids=1,2,3 |
| filter\_name | シリーズを名前で絞り込みます。                                   | filter\_name=株式会社 |
| page         | ページ数を指定します。                                       | page=2            |
| per\_page    | 1ページに何件取得するかを指定します。デフォルトは `25` 件で、`50` 件まで指定できます。 | per\_page=30      |
| sort\_id     | シリーズをIDで並び替えます。`asc` または `desc` が指定できます。          | sort\_id=desc     |

## リクエスト例

```
$ curl -X GET https://api.annict.com/v1/series?access_token=(access_token)&filter_ids=65
```

```javascript
{
  "series": [
    {
      "id": 65,
      "name": "ソードアート・オンライン",
      "name_ro": "Sword Art Online",
      "name_en": "Sword Art Online"
    }
  ],
  "total_count": 1,
  "next_page": null,
  "prev_page": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.annict.com/docs/ja/api/v1/series.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
